﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace WindowsFormsApplication1
{
  public partial class Form1 : Form
  {
    string RootFolder = "c:\\Texture\\";

    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      FileStream fs = new FileStream(RootFolder + "filedata14_50.tmp", FileMode.Open);
      byte[] b = new byte[1];
      fs.Read(b, 0, 1);
      int height = (int)b[0];
      fs.Read(b, 0, 1);
      int width = (int)b[0];
      
      byte[] data = new byte[height * width];
      fs.Read(data, 0, height * width);
      
      fs.Close();

      Bitmap bit = new Bitmap(width, height);
      for(int h = 0; h < height; h++)
        for(int w = 0; w < width; w++) {
          byte data2 = data[(w+h*width)];
          int Value = (int)data2;
          bit.SetPixel(w, h, Color.FromArgb(Value, Value, Value));
        }

      bit.Save(RootFolder + "TestPreview.bmp");
    }
  }
}
